/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pismena;

import java.io.IOException;
import java.net.MalformedURLException;
import java.util.List;

/**
 *
 * @author petr
 */
public class FrekvenceTest {
    public static void main(String[] args) throws MalformedURLException, IOException {
        Frekvence cz = new Frekvence();
        Frekvence en = new Frekvence();
        cz.analyze(Object.class.getResource("/pismena/source/gnu-gpl-cz.txt"),"windows-1250");
        en.analyze(Object.class.getResource("/pismena/source/gpl-2.0.txt"),"iso-8859-1");

        System.out.printf("CZ: %s%n",showResult(cz.getCount(),cz.getResult(5)));
        System.out.printf("EN: %s%n",showResult(en.getCount(),en.getResult(5)));
    }

    public static String showResult(int count, List<NumberCount> nc) {
        StringBuffer sb = new StringBuffer();
        for(NumberCount n : nc) {
            sb.append(String.format("%s: %4d %5.2f%%; ",
                    Character.toUpperCase(n.getChar()),
                    n.getCount(),
                    (double) n.getCount()/count *100.0));
        }
        return sb.toString();
    }
}
